Skip to content
Snippets Groups Projects
Commit 8c3bd510 authored by incardon's avatar incardon
Browse files

Adding resolution for cmake

parent 8fd64424
No related branches found
No related tags found
No related merge requests found
......@@ -9,6 +9,14 @@ script/pre_req
git submodule init
git submodule update
## generate configure script
sh ./autogen.sh
# Generate config directory
mkdir src/config
## Take all the options with the exception of --enable-install-req
install_req=1
......@@ -51,6 +59,7 @@ else
./script/install_MPI.sh
MPI_installed=1
export PATH="$PATH:${HOME}/MPI/bin"
echo $PATH
configure_options="$configure_options CXX=mpic++ "
elif [ $conf_err -eq 201 ]; then
echo "Metis not found try to install"
......
......@@ -12,5 +12,5 @@ wget http://ppmcore.mpi-cbg.de/upload/boost_1_58_0.tar.bz2
tar -xvf boost_1_58_0.tar.bz2
cd boost_1_58_0
./bootstrap.sh
./b2 install --prefix=$HOME/BOOST
./b2 -j 4 install --prefix=$HOME/BOOST
......@@ -12,5 +12,5 @@ wget http://www.open-mpi.de/software/ompi/v1.8/downloads/openmpi-1.8.7.tar.bz2
tar -xvf openmpi-1.8.7.tar.bz2
cd openmpi-1.8.7
sh ./configure --prefix=${HOME}/MPI --enable-opal-multi-threads --enable-mpi-f90
make
make -j 4
make install
......@@ -13,6 +13,6 @@ wget http://ppmcore.mpi-cbg.de/upload/metis-5.1.0.tar.gz
tar -xf metis-5.1.0.tar.gz
cd metis-5.1.0
make config shared=1 prefix=${HOME}/METIS
make
make -j 4
make install
......@@ -40,21 +40,21 @@ if [ x"$platform" = x"osx" -a x"$pcman" = x"" ]; then
echo -e "\033[93;5;1m WARNING \033[0m No package manager has been found on this system"
fi
command -v wget >/dev/null 2>&1
command -v cmake >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo >&2
echo -e "wget\033[91;5;1m FAILED \033[0m"
echo "OpenFPM require wget but it's not installed, searching a solution... "
script/solve_wget $platform
command -v wget >/dev/null 2>&1
echo -e "cmake\033[91;5;1m FAILED \033[0m"
echo "OpenFPM require cmake but it's not installed, searching a solution... "
script/solve_cmake $platform
command -v cmake >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo -e "wget\033[91;5;1m FAILED \033[0m"
echo -e "cmake\033[91;5;1m FAILED \033[0m"
exit 1
else
echo -e "wget\033[92;1m SUCCESS \033[0m"
echo -e "cmake\033[92;1m SUCCESS \033[0m"
fi
else
echo -e "wget\033[92;1m SUCCESS \033[0m"
echo -e "cmake\033[92;1m SUCCESS \033[0m"
fi
command -v git >/dev/null 2>&1
......
#! /bin/bash
source script/show_solutions
source script/discover_package_manager
discover_package_manager $1
pcman=$discover_package_manager_ret
if [ x"$pcman" = x"" ]; then
exit 1
fi
if [ x"$1" = x"osx" ]; then
commands[0]="$pcman install cmake"
possible_solutions "${commands[@]}"
echo "Executing: ${command[$possible_solutions_ret]}"
eval ${commands[$possible_solutions_ret]}
elif [ x"$1" = x"linux" ]; then
commands[0]="su -c \"$pcman install cmake\""
commands[1]="sudo $pcman install cmake"
possible_solutions "${commands[@]}"
echo "Executing: ${command[$possible_solutions_ret]}"
eval ${commands[$possible_solutions_ret]}
fi
File mode changed from 100644 to 100755
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment